Bug 1284651 - Notification with image crashes mate-notification-daemon in MATE 1.12
Notification with image crashes mate-notification-daemon in MATE 1.12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-notification-daemon (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 13:52 EST by Assen Totin
Modified: 2015-12-03 17:48 EST (History)
2 users (show)

See Also:
Fixed In Version: mate-notification-daemon-1.12.0-2.fc23 mate-notification-daemon-1.12.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 16:50:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proof-of-concept for the crash. (977 bytes, text/x-csrc)
2015-11-23 13:52 EST, Assen Totin
no flags Details
revert patch (2.35 KB, patch)
2015-11-23 20:28 EST, Wolfgang Ulbrich
no flags Details | Diff

  None (edit)
Description Assen Totin 2015-11-23 13:52:15 EST
Created attachment 1097822 [details]
Proof-of-concept for the crash.

Description of problem:
After Fedora pushed upgrade from MATE 1.10 to MATE 1.12, the notification daemon crashes with SIGSEGV if the notificaiton contains an image (GdkPixbuf).

Version-Release number of selected component (if applicable):
mate-notification-daemon-1.10.2-1.fc23.i686

How reproducible:
Every time.

Steps to Reproduce:
1. Install Fedora MATE spin-off from LiveCD and then apply all updates.
2. Compile a programme which uses the C API of libnotify. Load in image into the notification from a local file.
3. Run the programme.

Actual results:
No notificition is shown. Notification daemon crashes.

Expected results:
Notification with an image is shown.

Additional info:
This did not happen with MATE 1.10 that originally came with Fedora 23.

Strangely, notify-send binary still works properly and the -i option loads an image into the notification. However, the same C API call which worked until last week's update now crashes the notification daemon.

System journal log during the crash:

Nov 23 20:36:13 archimed audit[7254]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=1 pid=7254 comm="mate-notificati" exe="/usr/libexec/mate-notification-daemon" sig=11
Nov 23 20:36:13 archimed kernel: mate-notificati[7254]: segfault at 7 ip 800776e1 sp bfeaace0 error 4 in mate-notification-daemon[80073000+b000]
Nov 23 20:36:14 archimed abrt-server[7259]: Deleting problem directory ccpp-2015-11-23-20:36:13-7254 (dup of ccpp-2015-11-20-21:57:17-1783)
Nov 23 20:36:14 archimed dbus[647]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
Nov 23 20:36:14 archimed dbus[647]: [system] Successfully activated service 'org.freedesktop.problems'

I'm attaching a POC code (compilation instructions are inside). Offending call is on line 25. If you comment out the line, the notification is shown (but it has not image set). Compiler gives no warnings, so I assume libnotify API is unchanged. 

A core dump is available if needed.

Issue 1281403 is probably related to this one.
Comment 1 Assen Totin 2015-11-23 13:53:50 EST
After the upgrade the notification daemon package is 
mate-notification-daemon-1.12.0-1.fc23.i686
Comment 2 Wolfgang Ulbrich 2015-11-23 15:03:35 EST
Hi Assen,
can you please open at upstream a report for the issue.
It's maybe a regression introduced by this PR
https://github.com/mate-desktop/mate-notification-daemon/pull/80
Are you able to rebuild the rpm without this commit?
If not i can do this for testing.
Comment 3 Wolfgang Ulbrich 2015-11-23 20:27:09 EST
After reverting the commit tho POC displays the image well.
New build comming soon.
Comment 4 Wolfgang Ulbrich 2015-11-23 20:28 EST
Created attachment 1097967 [details]
revert patch
Comment 5 Fedora Update System 2015-11-24 08:35:37 EST
mate-notification-daemon-1.12.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-820536084a
Comment 6 Fedora Update System 2015-11-24 21:53:29 EST
mate-notification-daemon-1.12.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mate-notification-daemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-820536084a
Comment 7 Fedora Update System 2015-11-25 21:26:17 EST
mate-notification-daemon-1.12.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mate-notification-daemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b0c60408f
Comment 8 Fedora Update System 2015-12-02 16:50:30 EST
mate-notification-daemon-1.12.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-12-03 17:48:47 EST
mate-notification-daemon-1.12.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.